import * as React from 'react';
import { IconWrapper, IconProps } from './icon_wrapper';

const SettingsIcon: React.StatelessComponent<IconProps> = ({ className }): JSX.Element => (
    <div className={`${className} icon--settings`}>
        <svg id="Layer_1" data-name="Layer 1" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 25 25">
            <path d="M23.18,9.16l-.81-.09a10.21,10.21,0,0,0-.46-1.15l.5-.63a2.05,2.05,0,0,0-.16-2.72L20.5,2.82a2.05,2.05,0,0,0-2.73-.16l-.58.46a10,10,0,0,0-1.27-.52l-.09-.78a2,2,0,0,0-2-1.82H11.31a2,2,0,0,0-2,1.82l-.09.78a9.13,9.13,0,0,0-1.33.56l-.62-.5a2.06,2.06,0,0,0-2.73.16L2.75,4.57A2.05,2.05,0,0,0,2.59,7.3L3.15,8a9,9,0,0,0-.46,1.16l-.87.1a2,2,0,0,0-1.82,2v2.48a2.05,2.05,0,0,0,1.82,2l1,.11a8.44,8.44,0,0,0,.41,1l-.62.78a2,2,0,0,0,.16,2.72L4.5,22.18a2.06,2.06,0,0,0,2.73.16L8,21.73a10.86,10.86,0,0,0,1.06.45l.12,1a2.05,2.05,0,0,0,2,1.82h2.48a2,2,0,0,0,2-1.82l.11-.93a10.41,10.41,0,0,0,1.2-.49l.73.58a2.06,2.06,0,0,0,2.73-.16l1.75-1.75a2,2,0,0,0,.16-2.73l-.55-.7a10.89,10.89,0,0,0,.49-1.18l.84-.1a2.05,2.05,0,0,0,1.81-2V11.2A2.05,2.05,0,0,0,23.18,9.16ZM23,13.74,20.8,14l-.18.65a8.32,8.32,0,0,1-.82,2l-.34.59L20.84,19,19,20.77l-1.76-1.39-.58.33a8.45,8.45,0,0,1-2,.8l-.67.18L13.69,23,11.16,23l-.27-2.31-.64-.18a8.08,8.08,0,0,1-1.87-.79l-.58-.34L5.92,20.77,4.16,18.94l1.43-1.82-.33-.58a8.65,8.65,0,0,1-.75-1.8l-.19-.63L2,13.79l0-2.54L4.27,11l.17-.67a7.62,7.62,0,0,1,.77-1.95l.32-.59L4.16,6,6,4.23,7.67,5.56l.59-.35a8.14,8.14,0,0,1,2.09-.88L11,4.15,11.31,2l2.53,0,.25,2.1.66.18a8.4,8.4,0,0,1,2,.85l.59.35,1.71-1.3,1.76,1.82L19.52,7.72l.33.58a8,8,0,0,1,.79,1.94l.17.66,2.19.3Z" />
            <path d="M12.5,6.71h0a5.79,5.79,0,1,0,5.79,5.79A5.8,5.8,0,0,0,12.5,6.71Zm0,9.58a3.79,3.79,0,1,1,3.79-3.79A3.79,3.79,0,0,1,12.5,16.29Z" />
        </svg>
    </div>
)

SettingsIcon.displayName = "SettingsIcon";

export default IconWrapper(SettingsIcon);
